GHA RFC vs Selkirk · Premiership scozzese
Premiership scozzese · 2025-26Finale

20–14

Cronaca
GHA RFC supera Selkirk 20-14 a Giffnock (Braidholm) sabato 13 dicembre 2025 (Premiership scozzese, 13ª giornata).
GHA RFC interrompe una serie di due sconfitte. Selkirk incassa la 6ª sconfitta di fila.
Testo generato automaticamente dai dati della partita; aggiornato con i risultati.
Precedenti
4
Vittorie GHA RFC (67%)
0
Pareggi (0%)
2
Vittorie Selkirk (33%)
Ultimi 6 confronti, dal ottobre 2021
Vittoria più larga di GHA RFC
34–10
2 ott 2021
Vittoria più larga di Selkirk
28–14
8 ott 2022
Ultimi 5 confronti
- 13 dic 2025 · Premiership scozzeseGHA RFC20Selkirk1413 dic 2025GHA RFC20–14SelkirkPremiership scozzese
- 13 set 2025 · Premiership scozzeseSelkirk36GHA RFC4013 set 2025Selkirk36–40GHA RFCPremiership scozzese
- 7 gen 2023 · Premiership scozzeseGHA RFC17Selkirk217 gen 2023GHA RFC17–21SelkirkPremiership scozzese
- 8 ott 2022 · Premiership scozzeseSelkirk28GHA RFC148 ott 2022Selkirk28–14GHA RFCPremiership scozzese
- 5 mar 2022 · Premiership scozzeseSelkirk24GHA RFC275 mar 2022Selkirk24–27GHA RFCPremiership scozzese